<webobject name="FilterField"/>
<webobject name="SubmitFunction"/>
<wo:if condition = "$hasTimeout">
<script>
    jQuery('body').off('keyup','#<wo:string value="$filterFieldId"/>').on('keyup','#<wo:string value="$filterFieldId"/>',function() {
        if ((window.timeoutObject !== undefined) && (window.timeoutObject != null)) { 
        	window.clearTimeout(window.timeoutObject); 
        }
        timeoutObject = window.setTimeout(function() {<wo:string value="$functionName"/>();}, <wo:string value="$timeout"/>);
    });
</script>
</wo:if>
<wo:else>
<script>
    jQuery('body').off('keyup','#<wo:string value="$filterFieldId"/>').on('keyup','#<wo:string value="$filterFieldId"/>',function() {
        <wo:string value="$functionName"/>();
    });
</script>
</wo:else>

